* Set memory contents: memset(dest, value, size)
memset	TSX			Address stack
	LDY	2,X		Get size
	LDD	4,X		Get value
	LDX	6,X		Get dest
?1	STAB	,X		Write a value
	INX			Advance dest
	DEY			Reduce count
	BNE	?1		Do all locations
	RTS
* Copy memory contents: memcpy(dest, source, size)
memcpy	TSX			Address stack
	LDY	6,X		Get destination
	LDD	2,X		Get size
	LDX	4,X		Get source
?2	PSHA			Save ACC
	LDAA	,X		Read a byte
	STAA	,Y		Write a byte
	INX			Advance source
	INY			Advance dest
	PULA			Restore high
	SUBD	#1		Reduce count
	BNE	?2		Do all locations
	RTS
